Subject: Re: [PATCH v4 00/10] of_net: Add NVMEM support to of_get_mac_address

From: Maxime Chevallier <[email-masked]>
Date: Mon, 6 May 2019 16:41:32 +0200

Hi Petr,

On Mon, 6 May 2019 10:32:07 +0200
Petr Štetiar <[email-masked]> wrote:

>David Miller <[email-masked]> [2019-05-05 21:47:27]:
>
>Hi David,
>
>> Series applied, thank you.  
>
>I did probably something terribly wrong, but patch "[PATCH v4 05/10] net:
>ethernet: support of_get_mac_address new ERR_PTR error" has not reached the
>patchwork, but I'm sure, that it was sent out as Hauke Mehrtens (maintainer
>for ethernet/lantiq_xrx200.c) has confirmed to me on IRC, that he has received
>it.

It seems indeed that the 5th patch hasn't beed applied, which effectively
breaks mvneta on net-next, and I guess a lot of other drivers that rely
on handling the new return values.

I saw you sent a followup series fixing that, but only patch 2/3
shows-up on netdev, so you might be facing a similar issue here.

Maxime